[arch-commits] Commit in bittorrent/trunk (PKGBUILD)

Paul Mattal paul at archlinux.org
Sun Mar 7 16:21:36 EST 2010


    Date: Sunday, March 7, 2010 @ 16:21:35
  Author: paul
Revision: 71601

added rc.d script and conf file, per FS#15453

Modified:
  bittorrent/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-07 21:01:48 UTC (rev 71600)
+++ PKGBUILD	2010-03-07 21:21:35 UTC (rev 71601)
@@ -3,15 +3,19 @@
 
 pkgname=bittorrent
 pkgver=5.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="BitTorrent is a tool for copying files from one machine to another."
 arch=('i686' 'x86_64')
 url="http://www.bittorrent.com"
 install=bittorrent.install
 depends=('twisted' 'pycrypto')
-source=(http://download.bittorrent.com/dl/archive/BitTorrent-${pkgver}.tar.gz)
+backup=('etc/bttrack.conf')
+source=(http://download.bittorrent.com/dl/archive/BitTorrent-${pkgver}.tar.gz
+	bttrack bttrack.conf)
 license=('custom')
-md5sums=('d8891cfa4c6bb796c8e948eace7694bc')
+md5sums=('d8891cfa4c6bb796c8e948eace7694bc'
+	 '641d7bd82a40e84a837db465e6a28e0d'
+	 '29b1f592615d0a0fcf6099bd619bbd9c')
 
 build() {
   cd $srcdir/BitTorrent-$pkgver
@@ -25,4 +29,10 @@
   # install custom license
   install -Dm644 $srcdir/BitTorrent-$pkgver/LICENSE.txt \
     $pkgdir/usr/share/licenses/$pkgname/LICENSE
+
+  # install bttrack rc.d script and configuration file
+  install -D -m644 $srcdir/bttrack.conf $pkgdir/etc/bttrack.conf \
+    || return 1
+  install -D -m755 $srcdir/bttrack $pkgdir/etc/rc.d/bttrack \
+    || return 1
 }



More information about the arch-commits mailing list